| Home | Libraries | People | FAQ | More

##### file_posix::write

Write to the open file.

###### Synopsis

    std::size_t
    write(
        void const* buffer,
        std::size_t n,
        error_code& ec);

###### Description

###### Parameters

Name | Description
--- | ---
`buffer` | The buffer holding the data to write
`n` | The number of bytes to write
`ec` | Set to the error, if any occurred